Package ru.bitel.bgbilling.modules.cerbercrypt.common.bean

# Class Packet

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.modules.cerbercrypt.common.bean.Packet

All Implemented Interfaces:
  `java.io.Serializable`, `GuiTitlable`, `Idable`, `ListItem`

    public class Packet
    extends IdTitle
    implements ListItem

Пакет.

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Packet()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getChannelCount()` |
  `java.lang.String` | `getComment()` |
  `java.util.List<java.lang.Integer>` | `getDepends()` |
  `boolean` | `getFree()` | Получить свойство пакета "не блокировать".
  `java.lang.String` | `getPacketCode()` |
  `java.lang.String` | `getPacketServerCode()` |
  `int` | `getServiceId()` |
  `java.util.List<java.lang.Integer>` | `getUnacceptable()` |
  `boolean` | `isCanWebClose()` |
  `boolean` | `isCanWebOpen()` |
  `boolean` | `isPacketGroup()` |
  `boolean` | `isVirtualCinema()` |
  `void` | `setCanWebClose​(boolean canWebClose)` |
  `void` | `setCanWebOpen​(boolean canWebOpen)` |
  `void` | `setChannelCount​(int channelCount)` |
  `void` | `setComment​(java.lang.String comment)` |
  `void` | `setDepends​(java.util.List<java.lang.Integer> depends)` |
  `void` | `setFree​(boolean free)` | Установить свойство пакета "не блокировать".
  `void` | `setPacketCode​(java.lang.String packetCode)` |
  `void` | `setPacketGroup​(boolean packetGroup)` |
  `void` | `setPacketServerCode​(java.lang.String packetServerCode)` |
  `void` | `setServiceId​(int serviceId)` |
  `void` | `setUnacceptable​(java.util.List<java.lang.Integer> unacceptable)` |
  `void` | `setVirtualCinema​(boolean virtualCinema)` |

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setTitle, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId, getTitle`

- ## Constructor Details

  - ### Packet

    public Packet()

- ## Method Details

  - ### getFree

    public final boolean getFree()
    Получить свойство пакета "не блокировать".
    Returns:
      true - не блокировать, false - блокировать

  - ### setFree

    public final void setFree​(boolean free)
    Установить свойство пакета "не блокировать".
    Parameters:
      `free` -

  - ### isVirtualCinema

    public final boolean isVirtualCinema()

  - ### setVirtualCinema

    public final void setVirtualCinema​(boolean virtualCinema)

  - ### isCanWebOpen

    public boolean isCanWebOpen()

  - ### setCanWebOpen

    public void setCanWebOpen​(boolean canWebOpen)

  - ### isCanWebClose

    public boolean isCanWebClose()

  - ### setCanWebClose

    public void setCanWebClose​(boolean canWebClose)

  - ### getServiceId

    public int getServiceId()

  - ### setServiceId

    public void setServiceId​(int serviceId)

  - ### getDepends

    public java.util.List<java.lang.Integer> getDepends()

  - ### setDepends

    public void setDepends​(java.util.List<java.lang.Integer> depends)

  - ### getUnacceptable

    public java.util.List<java.lang.Integer> getUnacceptable()

  - ### setUnacceptable

    public void setUnacceptable​(java.util.List<java.lang.Integer> unacceptable)

  - ### setPacketCode

    public void setPacketCode​(java.lang.String packetCode)

  - ### getPacketCode

    public java.lang.String getPacketCode()

  - ### setComment

    public void setComment​(java.lang.String comment)

  - ### getComment

    public java.lang.String getComment()

  - ### getPacketServerCode

    public java.lang.String getPacketServerCode()

  - ### setPacketServerCode

    public void setPacketServerCode​(java.lang.String packetServerCode)

  - ### isPacketGroup

    public boolean isPacketGroup()

  - ### setPacketGroup

    public void setPacketGroup​(boolean packetGroup)

  - ### getChannelCount

    public int getChannelCount()

  - ### setChannelCount

    public void setChannelCount​(int channelCount)